<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    <p><img alt="PawPal Pants ad" src="../assets/pawpalpants_ad.png"></p>
    <h3>Like what you see?</h3>
    <ul>
      <li><a href="https://about.gitlab.com/handbook/marketing/corporate-marketing/" target="_blank" rel="noopener">Reach out</a></li>
      <li><a href="https://about.gitlab.com/" target="_blank" rel="noopener">Learn more</a></li>
      <li><a href="https://shop.gitlab.com/" target="_blank" rel="noopener">Get more awesome swag</a></li>
      <li><a href="https://about.gitlab.com/stages-devops-lifecycle/pages/" target="_blank" rel="noopener">Hosted by GitLab Pages</a></li>
    </ul>
  </div>
</template>

<script>
export default {
  name: 'HelloWorld',
  props: {
    msg: String
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #0089e7;
}
</style>
